
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>6.19. [U4.63.32] : Operator REST_SOUS_STRUC &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="6.20. [U4.64.01] : Operator DEFI_INTERF_DYNA" href="u4.64.01.html" />
    <link rel="prev" title="6.18. [U4.53.05] : Operator DYNA_LINE" href="u4.53.05.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u4.64.01.html" title="6.20. [U4.64.01] : Operator DEFI_INTERF_DYNA">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u4.53.05.html" title="6.18. [U4.53.05] : Operator DYNA_LINE">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u4_toc.html" accesskey="U"><span class="section-number">6. </span><strong>U4</strong>: Command documentation</a> &#187;</li>
      
      <li><span class="section-number">6.19. </span><strong>[U4.63.32]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">REST_SOUS_STRUC</span></code></li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u4-63-32-operator-rest-sous-struc">
<span id="u4-63-32"></span><span id="index-0"></span><h1><span class="section-number">6.19. </span><strong>[U4.63.32]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">REST_SOUS_STRUC</span></code><a class="headerlink" href="#u4-63-32-operator-rest-sous-struc" title="Permalink to this headline">¶</a></h1>
<div class="section" id="purpose">
<span id="u4-63-32-1"></span><h2><span class="section-number">6.19.1. </span>Purpose<a class="headerlink" href="#purpose" title="Permalink to this headline">¶</a></h2>
<p>Converts results computed in generalized coordinates into values expressed in the the physical basis.
dinates.</p>
<p>Results can be computed in a generalized coordinate system by:</p>
<ul class="simple">
<li><p>methods of modal superposition that produce a concept of type <span class="green">tran_gene</span></p></li>
<li><p>methods of cyclic sub-structuring (<span class="green">mode_cycl</span>)</p></li>
<li><p>dynamic sub-structuring (<span class="green">mode_gene</span>)</p></li>
<li><p>harmonic sub-structuring (<span class="green">harm_gene</span>)</p></li>
</ul>
<p>This operator can be used to restore results of the above types to the initial physical coordinate
basis.</p>
<p>The output (product) concept can be of the following types:</p>
<ul class="simple">
<li><p><span class="green">dyna_trans</span>: if the generalized results are from a modal superposition computation
or from the extrapolation of the results of experimental measurements on a numerical model
(the input concept is of type <span class="green">tran_gene</span>) or from the projection of a
<span class="green">dyna_trans</span> comcept on a new visualization mesh,</p></li>
<li><p><span class="green">mode_meca</span>: if the input concept to this operator is produced by
cyclic sub-structuring (<span class="green">mode_cycl</span>),
dynamic sub-structuring (<span class="green">mode_gene</span>) or if computation corresponds to the projection
of a <span class="green">mode_meca</span> concept on a new visualization mesh,</p></li>
<li><p><span class="green">dyna_harmo</span>: if the input concept is produced from harmonic sub-structuring
(<span class="green">harm_gene</span>)</p></li>
<li><dl class="simple">
<dt><span class="green">evol_noli</span>: if the input concept is produced by  a nonlinear computation combined</dt><dd><p>with a modal computation on its nonlinear part.</p>
</dd>
</dl>
</li>
</ul>
</div>
<div class="section" id="syntax">
<span id="u4-63-32-2"></span><h2><span class="section-number">6.19.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>resphy [*] = REST_SOUS_STRUC

  (

    ♦ / RESULTAT = resu,                      [mode_meca]
                                              [dyna_trans]
                                              [evol_noli]
      / RESU_GENE = tg,                     / [tran_gene]
                                            / [mode_cycl]
                                            / [mode_gene]
                                            / [harm_gene]

    ◊ MODE_MECA = mode,                       [mode_meca]

    ◊ NUME_DDL = num_dof,                     [nume_ddl]

    ◊ / TOUT_ORDRE = &#39;OUI&#39;,
      / NUME_ORDRE = num,                     [l_I]
      / NUME_MODE = num,                      [l_I]
      / TOUT_INST = &#39;OUI&#39;,
      / LIST_INST = list,                     [listr8]
      / INST = inst,                          [l_R]
      / FREQ = freq,                          [l_R]
      / LIST_FREQ = list,                     [listr8]

    ◊ / TOUT_CHAM = &#39;OUI&#39;,
      / NOM_CHAM = (| &#39;DEPL&#39;,
                    | &#39;VITE&#39;,
                    | &#39;ACCE&#39;,                 [DEFAULT]
                    | &#39;ACCE_ABSOLU&#39;,
                    | &#39;EFGE_ELNO&#39;,
                    | &#39;SIPO_ELNO&#39;,
                    | &#39;SIGM_ELNO&#39;,
                    | &#39;FORC_NODA&#39;,),

    ◊ INTERPOL = /&#39;LIN&#39;,
                 /&#39;NON&#39;,                      [DEFAULT]

    ◊ CRITERE = / &#39;ABSOLU&#39;,
                / &#39;RELATIF,                   [DEFAULT]

    ◊ PRECISION = /prec ,                     [R]
                  /1.E-06,                    [DEFAULT]

    ◊ / SECTEUR = numsec,                     [I]
      / SQUELETTE = skeleton,                 [squelette]
      / SOUS_STRUC = name_struct,             [Kn]

    ◊ / GROUP_NO = lgrno,                     [l_co]
      / GROUP_MA = lgrma,                     [l_co]

    ◊ CYCLIQUE = _F(

                    ◊ NB_SECTEUR = ns         [I]
                    ◊ NUME_DIAMETRE = nl      [I]
                    ◊ RESULTAT2 = res         [evol_elas]
                                              [evol_noli]
                                              [dyna_trans]
                                              [evol_char]
                                              [mode_meca]
                  )
    ◊ TITRE = title,                          [l_Kn]
  )
</pre></div>
</div>
<p><strong>Output concept types</strong></p>
<ul class="simple">
<li><p>If <span class="blue">RESU_GENE</span> is of type <span class="green">tran_gene</span> then <span class="green">[*] = dyna_trans</span></p></li>
<li><p>If <span class="blue">RESU_GENE</span> is of type <span class="green">mode_cycl</span> then <span class="green">[*] = mode_meca</span></p></li>
<li><p>If <span class="blue">RESU_GENE</span> is of type <span class="green">mode_gene</span> then <span class="green">[*] = mode_meca</span></p></li>
<li><p>If <span class="blue">RESU_GENE</span> is of type <span class="green">harm_gene</span> then <span class="green">[*] = dyna_harmo</span></p></li>
<li><p>If <span class="blue">RESULTAT</span> is of type <span class="green">mode_meca</span> then <span class="green">[*] = mode_meca</span></p></li>
<li><p>If <span class="blue">RESULTAT</span> is of type <span class="green">evol_noli</span> then <span class="green">[*] = evol_noli</span></p></li>
<li><p>If <span class="blue">RESULTAT</span> is of type <span class="green">dyna_trans</span> then <span class="green">[*] = dyna_trans</span></p></li>
</ul>
</div>
<div class="section" id="operands">
<span id="u4-63-32-3"></span><h2><span class="section-number">6.19.3. </span>Operands<a class="headerlink" href="#operands" title="Permalink to this headline">¶</a></h2>
<div class="section" id="operands-resu-gene-resultat">
<span id="u4-63-32-3-1"></span><h3><span class="section-number">6.19.3.1. </span>Operands <span class="blue">RESU_GENE/RESULTAT</span><a class="headerlink" href="#operands-resu-gene-resultat" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ / RESU_GENE = tg
</pre></div>
</div>
<p>Alternatives:</p>
<ul class="simple">
<li><p>concept of type <span class="green">tran_gene</span> containing (for various times) generalized vectors of
displacement, velocity and acceleration from the transient response calculated by sub-structuring.</p></li>
<li><p>concept of type <span class="green">mode_cycl</span> containing generalized vectors of the modes calculated
by cyclic sub-structuring.</p></li>
<li><p>concept of type <span class="green">mode_gene</span> containing generalized vectors of modes calculated by
dynamic sub-structuring.</p></li>
<li><p>concept of type <span class="green">harm_gene</span> containing generalized vectors of displacement, velocity and
acceleration from the harmonic response of a structure calculated by sub-structuring</p></li>
</ul>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ / RESULTAT = resu
</pre></div>
</div>
<p>This keyword can be used when initially restoring a result from a dynamic sub-structuring
calculation on a skeleton (visualization mesh). In that case, <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code> defines an enriched
skeleton where all sub-structure interface nodes have been merged and all or part of the node or
element groups of the initial mesh have been recovered. The keyword <span class="blue">RESULTAT</span> then corresponds
to the projection of a <span class="green">mode_meca / dyna_trans / evol_noli</span> concept on a new enriched
skeleton (see example in <a class="reference internal" href="#u4-63-32-4"><span class="std std-numref">Section 6.19.4</span></a>).</p>
</div>
<div class="section" id="operand-mode-meca">
<span id="u4-63-32-3-2"></span><h3><span class="section-number">6.19.3.2. </span>Operand <span class="blue">MODE_MECA</span><a class="headerlink" href="#operand-mode-meca" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ MODE_MECA = mode                       [mode_meca]
</pre></div>
</div>
<p>Concept of type <span class="green">mode_meca</span> containing a basis of eigen modes obtained by dynamic sub-structuring.</p>
<p>This operand is used to convert, into the physical basis, the result of a transient computation carried
out on the modal basis by dynamic sub-structuring. The modes contained in the concept <span class="green">mode_meca</span>
should have been obtained by a previous <span class="blue">REST_SOUS_STRUC</span>.</p>
<p>In this case, it is necessary to provide the same support (keyword <span class="blue">SKELETON</span> or <span class="blue">SOUS_STRUC</span>)
used for the conversion of the modal basis into the physical basis.</p>
</div>
<div class="section" id="operand-nume-ddl-num-dof">
<span id="u4-63-32-3-3"></span><h3><span class="section-number">6.19.3.3. </span>Operand <span class="blue">NUME_DDL</span> <span class="gray">(NUM_DOF)</span><a class="headerlink" href="#operand-nume-ddl-num-dof" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ NUME_DDL = num_dof,                     [nume_ddl]
</pre></div>
</div>
<p>Concept of the <span class="green">nume_ddl</span> type containing a numbering corresponding to a reduced model in
the case of a calculation with dynamic condensation when the user wishes a conversion into the physical
basis using the degrees of freedom belonging to this reduced model.</p>
<p>This operand thus makes it possible to obtain, following the conversion, a <span class="green">mode_meca</span>
concept which can be used subsequently for other calculations.</p>
</div>
<div class="section" id="operands-tout-ordre-nume-ordre-tout-inst-list-inst-inst">
<span id="u4-63-32-3-4"></span><h3><span class="section-number">6.19.3.4. </span>Operands <span class="blue">TOUT_ORDRE / NUME_ORDRE / TOUT_INST / LIST_INST / INST</span><a class="headerlink" href="#operands-tout-ordre-nume-ordre-tout-inst-list-inst-inst" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ / TOUT_ORDRE = &#39;OUI&#39;
</pre></div>
</div>
<p>To restore (convert into physical coordinates) using <strong>all the modes</strong> of the
concept <span class="green">mode_cycl</span> or <span class="green">mode_gene</span>.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">NUME_ORDRE</span> <span class="o">=</span> <span class="n">num</span>
</pre></div>
</div>
<p>List of integers containing the numbers of the modes on which the restoration takes place.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">NUME_MODE</span> <span class="o">=</span> <span class="n">num</span>
</pre></div>
</div>
<p>List of integers containing the numbers of the modes in the total spectrum used for restoration.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">TOUT_INST</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span>
</pre></div>
</div>
<p>If one wishes to restore using <strong>all times</strong> contained in the generalized result (<span class="green">tran_gene</span>).</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">LIST_INST</span> <span class="o">=</span> <span class="nb">list</span>
</pre></div>
</div>
<p>List of increasing real numbers of the <span class="green">listr8</span> type containing the times for which one wishes
to compute the restoration.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">INST</span> <span class="o">=</span> <span class="n">inst</span>
</pre></div>
</div>
<p>List of real numbers containing the times on which the restoration takes place.</p>
<p>For a transient computation, it is checked that the times requested by the option <span class="blue">LIST_INST</span> are
inside the range of definition of <span class="green">tran_gene</span>.</p>
<p>The results at any time can be obtained by linear interpolation between the results of two times of
computation actually contained in the <span class="green">tran_gene</span>.</p>
</div>
<div class="section" id="operands-freq-list-freq">
<span id="u4-63-32-3-5"></span><h3><span class="section-number">6.19.3.5. </span>Operands <span class="blue">FREQ / LIST_FREQ</span><a class="headerlink" href="#operands-freq-list-freq" title="Permalink to this headline">¶</a></h3>
<p>These operands are used in the case of a restoration into physical coordinates of generalized
harmonic calculations (<span class="green">harm_gene</span>).</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">FREQ</span> <span class="o">=</span> <span class="n">freq</span>
</pre></div>
</div>
<p>Frequency at which one wishes to restore the harmonic calculation</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">LIST_FREQ</span> <span class="o">=</span> <span class="nb">list</span>
</pre></div>
</div>
<p>List of real numbers containing the frequencies for which one wishes to carry out the restoration.
For each indicated frequency, one restores the data closest to the calculated frequency.
There is no interpolation.</p>
</div>
<div class="section" id="operands-tout-cham-nom-cham">
<span id="u4-63-32-3-6"></span><h3><span class="section-number">6.19.3.6. </span>Operands <span class="blue">TOUT_CHAM / NOM_CHAM</span><a class="headerlink" href="#operands-tout-cham-nom-cham" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ / TOUT_CHAM = &#39;OUI&#39;
</pre></div>
</div>
<p>Allows to restore the fields of symbolic name <span class="blue">DEPL</span>, <span class="blue">VITE</span> and <span class="blue">ACCE</span>
(<span class="gray">DISPLACEMENT,VELOCITY,ACCELERATION</span>) contained in the generalized result
(<span class="green">tran_gene, harm_gene</span>).</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span><span class="n">NOM_CHAM</span> <span class="o">=</span> <span class="n">field_name</span>
</pre></div>
</div>
<p>List of the symbolic names of field which one wishes to restore: <span class="blue">DEPL</span>, <span class="blue">VITE</span>, <span class="blue">ACCE</span> etc.</p>
</div>
<div class="section" id="operand-interpol">
<span id="u4-63-32-3-7"></span><h3><span class="section-number">6.19.3.7. </span>Operand <span class="blue">INTERPOL</span><a class="headerlink" href="#operand-interpol" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ INTERPOL = &#39;LIN&#39;
</pre></div>
</div>
<p>An interpolation is authorized between two times; this interpolation should not be used between two times
of calculation and can lead to errors if both times <strong>[U4.53.21]</strong> are separated by a long interval
relative to the periods of the phenomena studied.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ INTERPOL = &#39;NON&#39;
</pre></div>
</div>
<p>The restoration must be strict (no interpolation).</p>
</div>
<div class="section" id="operands-precision-critere">
<span id="u4-63-32-3-8"></span><h3><span class="section-number">6.19.3.8. </span>Operands <span class="blue">PRECISION / CRITERE</span><a class="headerlink" href="#operands-precision-critere" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ PRECISION = prec
◊ CRITERE = / &#39;ABSOLU&#39;,
            / &#39;RELATIF,                   [DEFAULT]
</pre></div>
</div>
<p>When <span class="blue">INTERPOL</span> is <span class="blue">‘NON’</span>, the criterion indicates the precision of the search for the
instant to restore:</p>
<ul class="simple">
<li><p><span class="blue">‘ABSOLU’</span> : search interval <em>[Inst - prec, Inst + prec]</em>,</p></li>
<li><p><span class="blue">‘RELATIF</span>:  search interval <em>[(1 - prec) . Inst, (1 + prec) . Inst]</em></p></li>
</ul>
<p><em>Inst</em> being the moment of restitution.</p>
</div>
<div class="section" id="operand-secteur">
<span id="u4-63-32-3-9"></span><h3><span class="section-number">6.19.3.9. </span>Operand <span class="blue">SECTEUR</span><a class="headerlink" href="#operand-secteur" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ / SECTEUR
</pre></div>
</div>
<p>Sector number of the cyclic structure on which the result (of type <span class="green">mode_cycl</span>) will be
restored in the physical basis in cyclic sub-structuring.</p>
</div>
<div class="section" id="operand-squelette-skeleton">
<span id="u4-63-32-3-10"></span><h3><span class="section-number">6.19.3.10. </span>Operand <span class="blue">SQUELETTE</span> <span class="gray">(SKELETON)</span><a class="headerlink" href="#operand-squelette-skeleton" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">SQUELETTE</span>
</pre></div>
</div>
<p>Name of the mesh skeleton of the total structure on which the result will be restored: see
the operator <span class="blue">DEFI_SQUELETTE</span> <a class="reference internal" href="u4.24.01.html#u4-24-01"><span class="std std-ref">[U4.24.01]</span></a>.</p>
</div>
<div class="section" id="operand-sous-struc-sub-structure">
<span id="u4-63-32-3-11"></span><h3><span class="section-number">6.19.3.11. </span>Operand <span class="blue">SOUS_STRUC</span> <span class="gray">(SUB_STRUCTURE)</span><a class="headerlink" href="#operand-sous-struc-sub-structure" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">SOUS_STRUC</span> <span class="o">=</span> <span class="n">name_struct</span>
</pre></div>
</div>
<p>Name of the substructure on which the result will be restored: see the operator
<span class="blue">DEFI_MODELE_GENE</span> <a class="reference internal" href="u4.65.02.html#u4-65-02"><span class="std std-ref">[U4.65.02]</span></a>.</p>
</div>
<div class="section" id="operands-group-no-group-ma">
<span id="u4-63-32-3-12"></span><h3><span class="section-number">6.19.3.12. </span>Operands <span class="blue">GROUP_NO / GROUP_MA</span><a class="headerlink" href="#operands-group-no-group-ma" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ / GROUP_NO = lgrno
  / GROUP_MA = lgrma
</pre></div>
</div>
<p>After a computation of transient dynamics on modal basis, the user can restore kinematic fields
on a part only at the nodes or elements of the mesh.</p>
<p>List of the node / element groups corresponding to the places where the user wants to restore
fields.</p>
</div>
<div class="section" id="operand-cyclique">
<span id="u4-63-32-3-13"></span><h3><span class="section-number">6.19.3.13. </span>Operand <span class="blue">CYCLIQUE</span><a class="headerlink" href="#operand-cyclique" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ CYCLIQUE = _F(
                ◊ NB_SECTEUR = ns         [I]
                ◊ NUME_DIAMETRE = nl      [I]
                ◊ RESULTAT2 = res         [evol_elas]
                                          [evol_noli]
                                          [dyna_trans]
                                          [evol_char]
                                          [mode_meca]
               )
</pre></div>
</div>
<p>The operator <span class="blue">DEFI_SQUELETTE</span> <a class="reference internal" href="u4.24.01.html#u4-24-01"><span class="std std-ref">[U4.24.01]</span></a>
allows us to regenerate the complete mesh of a
structure with cyclic symmetry starting from the mesh of a sector of this structure.</p>
<p>The option <span class="blue">CYCLIQUE</span> in <span class="red">REST_SOUS_STRUC</span> makes it possible to restore on this new mesh
skeleton the nodal fields calculated on the model of a single sector and taking into account of cyclic
symmetry (with <span class="blue">LIAISON_MAIL</span> or <span class="blue">LIAISON_CYCL</span> for example).</p>
<p>The action of this option of <span class="red">REST_SOUS_STRUC</span> consists of:</p>
<ol class="arabic simple">
<li><p>in the static case (only one nodal field) to copy this field to the nodes of the skeleton mesh</p></li>
<li><p>in the dynamic case (2 nodal fields specified with <span class="blue">RESULTAT</span> and <span class="blue">RESULTAT2</span>)
to combine the nodal fields and to copy them to the new mesh.</p></li>
</ol>
</div>
<div class="section" id="operand-titre">
<span id="u4-63-32-3-14"></span><h3><span class="section-number">6.19.3.14. </span>Operand <span class="blue">TITRE</span><a class="headerlink" href="#operand-titre" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ TITRE = title
</pre></div>
</div>
<p>Title attached to the concept produced by this operator <strong>[U4.03.01]</strong></p>
</div>
</div>
<div class="section" id="example-restoration-of-a-mode-meca-on-an-enriched-skeleton">
<span id="u4-63-32-4"></span><h2><span class="section-number">6.19.4. </span>Example: Restoration of a <span class="green">mode_meca</span> on an enriched skeleton<a class="headerlink" href="#example-restoration-of-a-mode-meca-on-an-enriched-skeleton" title="Permalink to this headline">¶</a></h2>
<p>The keyword <span class="blue">RESULTAT</span> is used in this example. The command corresponds to that used
the test case <code class="docutils literal notranslate"><span class="pre">SDLS106A</span></code>.</p>
<ul>
<li><p>First stage: computation of the generalized eigen modes (obtained by dynamic sub-structuring) of
the overall structure</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">res_gen</span> <span class="o">=</span> <span class="n">CALC_MODES</span><span class="p">(</span><span class="n">MATR_RIGI</span> <span class="o">=</span> <span class="n">stif_gen</span><span class="p">,</span>
                     <span class="n">MATR_MASS</span> <span class="o">=</span> <span class="n">mass_gen</span><span class="p">,</span>
                     <span class="n">OPTION</span> <span class="o">=</span> <span class="s1">&#39;PLUS_PETITE&#39;</span><span class="p">,</span>
                     <span class="n">CALC_FREQ</span> <span class="o">=</span> <span class="n">_F</span><span class="p">(</span><span class="n">NMAX_FREQ</span> <span class="o">=</span> <span class="mi">6</span><span class="p">))</span>
</pre></div>
</div>
</li>
<li><p>Definition of a visualization mesh for the calculated quantities</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">skel_1</span> <span class="o">=</span> <span class="n">DEFI_SQUELETTE</span><span class="p">(</span><span class="n">MODEL_GENE</span> <span class="o">=</span> <span class="n">mode_gen</span><span class="p">,</span>
                        <span class="n">SOUS_STRUC</span> <span class="o">=</span> <span class="n">_F</span><span class="p">(</span><span class="n">NAME</span> <span class="o">=</span> <span class="s1">&#39;square1&#39;</span><span class="p">,</span>
                                        <span class="n">TOUT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">),</span>
                        <span class="n">SOUS_STRUC</span> <span class="o">=</span> <span class="n">_F</span><span class="p">(</span><span class="n">NAME</span> <span class="o">=</span> <span class="s1">&#39;square2&#39;</span><span class="p">,</span>
                                        <span class="n">TOUT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">))</span>
</pre></div>
</div>
</li>
<li><p>Restoration of <span class="green">mode_gene</span> on this skeleton:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">mode_v1</span> <span class="o">=</span> <span class="n">REST_SOUS_STRUC</span><span class="p">(</span><span class="n">RESU_GENE</span> <span class="o">=</span> <span class="n">res_gen</span><span class="p">,</span>
                          <span class="n">SQUELETTE</span> <span class="o">=</span> <span class="n">skel_1</span><span class="p">,</span>
                          <span class="n">TOUT_ORDRE</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">,</span>
                          <span class="n">TOUT_CHAM</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">)</span>
</pre></div>
</div>
</li>
<li><p>Definition of the enriched skeleton in which nodes at interfaces of the sub-structures have been
merged and all or part of the node/element groups of the initial mesh have been recovered:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">skel_2</span> <span class="o">=</span> <span class="n">DEFI_SQUELETTE</span><span class="p">(</span><span class="n">MODEL_GENE</span> <span class="o">=</span> <span class="n">mode_gen</span><span class="p">,</span>
                        <span class="n">SQUELETTE</span> <span class="o">=</span> <span class="n">skel_1</span><span class="p">,</span>
                        <span class="n">RECO_GLOBAL</span> <span class="o">=</span> <span class="n">_F</span><span class="p">(</span><span class="n">TOUT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">,</span>
                                         <span class="n">DIST_REFE</span> <span class="o">=</span> <span class="mf">0.1</span><span class="p">))</span>
</pre></div>
</div>
</li>
<li><p>Restoration of the first <span class="green">mode_meca</span> on the new skeleton:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">mode_v2</span> <span class="o">=</span> <span class="n">REST_SOUS_STRUC</span><span class="p">(</span><span class="n">SQUELETTE</span> <span class="o">=</span> <span class="n">skel_2</span><span class="p">,</span>
                          <span class="n">RESULTAT</span> <span class="o">=</span> <span class="n">mode_v1</span><span class="p">)</span>
</pre></div>
</div>
</li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">6.19. <strong>[U4.63.32]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">REST_SOUS_STRUC</span></code></a><ul>
<li><a class="reference internal" href="#purpose">6.19.1. Purpose</a></li>
<li><a class="reference internal" href="#syntax">6.19.2. Syntax</a></li>
<li><a class="reference internal" href="#operands">6.19.3. Operands</a><ul>
<li><a class="reference internal" href="#operands-resu-gene-resultat">6.19.3.1. Operands <span class="blue">RESU_GENE/RESULTAT</span></a></li>
<li><a class="reference internal" href="#operand-mode-meca">6.19.3.2. Operand <span class="blue">MODE_MECA</span></a></li>
<li><a class="reference internal" href="#operand-nume-ddl-num-dof">6.19.3.3. Operand <span class="blue">NUME_DDL</span> <span class="gray">(NUM_DOF)</span></a></li>
<li><a class="reference internal" href="#operands-tout-ordre-nume-ordre-tout-inst-list-inst-inst">6.19.3.4. Operands <span class="blue">TOUT_ORDRE / NUME_ORDRE / TOUT_INST / LIST_INST / INST</span></a></li>
<li><a class="reference internal" href="#operands-freq-list-freq">6.19.3.5. Operands <span class="blue">FREQ / LIST_FREQ</span></a></li>
<li><a class="reference internal" href="#operands-tout-cham-nom-cham">6.19.3.6. Operands <span class="blue">TOUT_CHAM / NOM_CHAM</span></a></li>
<li><a class="reference internal" href="#operand-interpol">6.19.3.7. Operand <span class="blue">INTERPOL</span></a></li>
<li><a class="reference internal" href="#operands-precision-critere">6.19.3.8. Operands <span class="blue">PRECISION / CRITERE</span></a></li>
<li><a class="reference internal" href="#operand-secteur">6.19.3.9. Operand <span class="blue">SECTEUR</span></a></li>
<li><a class="reference internal" href="#operand-squelette-skeleton">6.19.3.10. Operand <span class="blue">SQUELETTE</span> <span class="gray">(SKELETON)</span></a></li>
<li><a class="reference internal" href="#operand-sous-struc-sub-structure">6.19.3.11. Operand <span class="blue">SOUS_STRUC</span> <span class="gray">(SUB_STRUCTURE)</span></a></li>
<li><a class="reference internal" href="#operands-group-no-group-ma">6.19.3.12. Operands <span class="blue">GROUP_NO / GROUP_MA</span></a></li>
<li><a class="reference internal" href="#operand-cyclique">6.19.3.13. Operand <span class="blue">CYCLIQUE</span></a></li>
<li><a class="reference internal" href="#operand-titre">6.19.3.14. Operand <span class="blue">TITRE</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#example-restoration-of-a-mode-meca-on-an-enriched-skeleton">6.19.4. Example: Restoration of a <span class="green">mode_meca</span> on an enriched skeleton</a></li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u4.63.32.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>